commit:     ad8d46b0a9d55221a4b897b0e8d8d884eb3c9132
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 28 07:09:53 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Sep 28 07:09:53 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad8d46b0

app-i18n/man-pages-de: Bump to version 1.16 (bug #595336).

Package-Manager: portage-2.3.1
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-i18n/man-pages-de/Manifest                 |  1 +
 app-i18n/man-pages-de/man-pages-de-1.16.ebuild | 53 ++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/app-i18n/man-pages-de/Manifest b/app-i18n/man-pages-de/Manifest
index eaf413b..d571be6 100644
--- a/app-i18n/man-pages-de/Manifest
+++ b/app-i18n/man-pages-de/Manifest
@@ -1,2 +1,3 @@
 DIST manpages-de-1.14.tar.xz 1508600 SHA256 
b5b8baecb7a7fb414e825a90377e96546f7b6c503a800ab6fe19f9ed60db1047 SHA512 
096f883f430311fb5be56905d30d6c79e516842cb1d7338f24b5fffaf89d287f235ddc0839040bea3318b96cd5c291317a103992ed4a1735065eac74f4fba6dc
 WHIRLPOOL 
a542ac7f844144dfbf0a69fee6e74725dd9ed56a58d36215b2ab9aa4587d950d8eab990c6c6b05a66f5bab36fa5f675988d79555eef14f804e174977641034b5
 DIST manpages-de-1.15.tar.xz 1529576 SHA256 
dd2d5f30fb221db23fdd54d1ca27356beaad8257705658252deb0aff242f6303 SHA512 
d1f1b9f60c4713d6be650e21b7664ff594dbd542b53148c00d1a2269413d39615dd76be4c4095eeb72e2598b94af134ca5d128b85d9520a1ac404364b8a53948
 WHIRLPOOL 
b0cce22e6cb9e028cae86ff32bf033308df118db49731b65642b065e37f02b614e0af7772db8acf856415ed0c65391a7949930b8e59b9e48ed8fb97ac30355b6
+DIST manpages-de-1.16.tar.xz 1537396 SHA256 
7ca7e12e1ae3d058dd32a8df607e991b88455484d6d07f003a86956b4ddc32c4 SHA512 
7e070a055804536a7777c573c2e7f7617bb305feafde70324e7a583a232f0463ee3df1b2a255b7e8cee621719db16c6b12b9d13ef4979260b085b0827b230a4f
 WHIRLPOOL 
2c326e6789a4dd2d5619a6177b96f5dbc1c6c04b5f13fe92cbd272a80d5f5935a0dadc6192296f7eda8a8cb2c45d6cd09bc8e244b944e9de86c694a66c6abeea

diff --git a/app-i18n/man-pages-de/man-pages-de-1.16.ebuild 
b/app-i18n/man-pages-de/man-pages-de-1.16.ebuild
new file mode 100644
index 00000000..8eb53fa
--- /dev/null
+++ b/app-i18n/man-pages-de/man-pages-de-1.16.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+MY_P="${PN/-/}-${PV}"
+
+DESCRIPTION="A somewhat comprehensive collection of Linux german man page 
translations"
+HOMEPAGE="http://alioth.debian.org/projects/manpages-de/";
+SRC_URI="http://manpages-de.alioth.debian.org/downloads/${MY_P}.tar.xz";
+
+LICENSE="GPL-3+ man-pages GPL-2+ GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86"
+IUSE=""
+
+RDEPEND="virtual/man"
+DEPEND="app-text/po4a"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.3-bzip2.patch"
+)
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+       default
+
+       # Use the same compression as every other manpage
+       local PORTAGE_COMPRESS_LOCAL=${PORTAGE_COMPRESS-bzip2}
+       if [[ ${PORTAGE_COMPRESS+set} == "set" ]] ; then
+               PORTAGE_COMPRESS_LOCAL="#"
+       fi
+       if [[ ${PORTAGE_COMPRESS_FLAGS+set} != "set" ]] ; then
+               case ${PORTAGE_COMPRESS_LOCAL} in
+                       bzip2|gzip)  local PORTAGE_COMPRESS_FLAGS_LOCAL="-9"
+                       ;;
+               esac
+       fi
+       sed -i -e "s/gzip --best/${PORTAGE_COMPRESS_LOCAL} 
${PORTAGE_COMPRESS_FLAGS_LOCAL}/"\
+               po/man{1,2,3,4,5,6,7,8}/Makefile.in po/common.mk || die
+       eautoreconf
+}
+
+src_compile() { :; }
+
+src_install() {
+       emake mandir="${ED}"/usr/share/man install
+       dodoc CHANGES README
+}

Reply via email to